### Configuration Attributes

The Configuration page allows administrators to manage attribute values of the services that OpenSSO offers. The attributes that comprise an OpenSSO service are classified as one of the following types:

Global – Applied across the OpenSSO configuration. They cannot be applied to users, roles or realms as the goal of global attributes is to customize OpenSSO.

Realm – Realm attributes are only assigned to realms. No object classes are associated with realm attributes. For instance, attributes listed in the authentication services are defined as realm attributes because authentication is done at the realm level rather than at a subtree or user level.

Dynamic – Applies to an OpenSSO configured role or realm. When the role is assigned to a user or a user is created in an realm, the dynamic attribute then becomes a characteristic of the user.

User – Applies directly to each user. They are not inherited from a role or an realm and, typically, are different for each user.

The Configuration attributes you can modify are:

- Authentication

- Console Properties

- Global Properties

- System Properties

- Servers and Sites